---
title: "Madlan API: Agents Index | Perceptlayer"
description: "Agents Index from Madlan as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/madlan/agents-index
---

[APIs](https://perceptlayer.com/apis) / [Madlan](https://perceptlayer.com/apis/madlan) / Agents Index

# Madlan: Agents Index

Agents Index from Madlan as JSON. 1 credit per successful call.

GET `/v1/madlan/agents-index`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `city` | string | Optional | Up to 80 characters |
| `role` | string | Optional | agent, office |
| `offset` | integer | Optional | Any |
| `limit` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/madlan/agents-index?city=%D7%97%D7%99%D7%A4%D7%94&role=agent&limit=3" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/madlan?try=agents-index#playground) with your own parameters. 1 credit per successful call; failed calls are free.
